using UnityEngine;
using System.Collections;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class MainMenu : MonoBehaviour {

	public bool isCheckingControllers = true;
	public Button playButton;
	public Gamepad controllerChecker;
	
	void Update(){
		if (isCheckingControllers){
			if (controllerChecker.hardwareRequirementsMet()){
				playButton.interactable = true;
			}
			else{
				playButton.interactable = false;
			}
		}
	}
	
	public void OnClickPlay(){
		SceneManager.LoadScene("Main", LoadSceneMode.Single);
	}

	public void OnClickQuit(){
		Application.Quit();
	}
}
